/// Support utilities for the Platform framework.
library platform_support;

// Core utilities
export 'src/carbon.dart';
export 'src/composer.dart';
export 'src/configuration_url_parser.dart';
export 'src/date_factory.dart';
export 'src/env.dart';
export 'src/fluent.dart';
export 'src/functions.dart';
export 'src/helpers.dart';
export 'src/higher_order_tap_proxy.dart';
export 'src/js.dart';
export 'src/lottery.dart';
export 'src/message_bag.dart';
export 'src/multiple_instance_manager.dart';
export 'src/namespaced_item_resolver.dart';
export 'src/number.dart';
export 'src/once.dart';
export 'src/onceable.dart';
export 'src/optional.dart';
export 'src/pluralizer.dart';
export 'src/process_utils.dart';
export 'src/reflector.dart';
export 'src/sleep.dart';
export 'src/timebox.dart';
export 'src/validated_input.dart';
export 'src/view_error_bag.dart';

// String manipulation
export 'src/str.dart';
export 'src/stringable.dart';
export 'src/html_string.dart';

// Facades
export 'src/facades/date.dart';

// Deferred functionality
export 'src/deferred/deferred_callback.dart';
export 'src/deferred/deferred_callback_collection.dart';

// Process utilities
export 'src/process/executable_finder.dart';

// Traits
export 'src/traits/dumpable.dart';
export 'src/traits/forwards_calls.dart';
export 'src/traits/interacts_with_data.dart';
export 'src/traits/interacts_with_time.dart';
export 'src/traits/reflects_closures.dart';
export 'src/traits/tappable.dart';
